# $Revision: 1.33 $, $Date: 2012/06/02 10:58:37 $
#
# Conditional build:
%bcond_without	gtk3		# gtk+3 support
%bcond_with	gnome2
#
Summary:	libcanberra - the portable sound event library
Summary(pl.UTF-8):	libcanberra - przenośna biblioteka zdarzeń dźwiękowych
Name:		libcanberra
Version:	0.28
Release:	4
License:	LGPL v2+
Group:		Libraries
Source0:	http://0pointer.de/lennart/projects/libcanberra/%{name}-%{version}.tar.gz
# Source0-md5:	c198b4811598c4c161ff505e4531b02c
URL:		http://0pointer.de/lennart/projects/libcanberra/
BuildRequires:	GConf2-devel
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gstreamer-devel >= 0.10.15
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 2:2.2.0
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 0.9.11-1
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	tdb-devel >= 2:1.1
BuildRequires:	udev-devel >= 160
%if %{with gtk3}
BuildRequires:	gtk+3-devel >= 3.0.0
%endif
Requires:	alsa-lib >= 1.0.0
Requires:	gstreamer >= 0.10.15
Requires:	pulseaudio-libs >= 0.9.11-1
Requires:	sound-theme-freedesktop
Requires:	tdb >= 2:1.1
Requires:	udev-libs >= 160
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		backenddir	%{_libdir}/libcanberra-%{version}

%description
A small and lightweight implementation of the XDG Sound Theme
Specification (http://0pointer.de/public/sound-theme-spec.html).

%description -l pl.UTF-8
Mała i lekka implementacja specyfikacji XDG Sound Theme
(http://0pointer.de/public/sound-theme-spec.html).

%package devel
Summary:	Header files for libcanberra library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcanberra
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libcanberra library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcanberra.

%package static
Summary:	Static libcanberra library
Summary(pl.UTF-8):	Statyczna biblioteka libcanberra
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcanberra library.

%description static -l pl.UTF-8
Statyczna biblioteka libcanberra.

%package -n vala-libcanberra
Summary:	libcanberra API for Vala language
Summary(pl.UTF-8):	API biblioteki libcanberra dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description -n vala-libcanberra
libcanberra API for Vala language.

%description -n vala-libcanberra -l pl.UTF-8
API biblioteki libcanberra dla języka Vala.

%package gtk
Summary:	GTK+ bindings for libcanberra library
Summary(pl.UTF-8):	Wiązania GTK+ do biblioteki libcanberra
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2 >= 2:2.20.0
Provides:	libcanberra-gtk2
Obsoletes:	libcanberra-gtk2

%description gtk
GTK+ bindings for libcanberra library.

%description gtk -l pl.UTF-8
Wiązania GTK+ do biblioteki libcanberra.

%package gtk-devel-common
Summary:	Common header file for libcanberra-gtk libraries
Summary(pl.UTF-8):	Wspólny plik nagłówkowy bibliotek libcanberra-gtk
Group:		X11/Development/Libraries

%description gtk-devel-common
Common header file for libcanberra-gtk libraries.

%description gtk-devel-common -l pl.UTF-8
Wspólny plik nagłówkowy bibliotek libcanberra-gtk.

%package gtk-devel
Summary:	Development files for libcanberra-gtk library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libcanberra-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk = %{version}-%{release}
Requires:	%{name}-gtk-devel-common = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.20.0

%description gtk-devel
Development files for libcanberra-gtk library.

%description gtk-devel -l pl.UTF-8
Pliki programistyczne biblioteki libcanberra-gtk.

%package gtk-static
Summary:	Static libcanberra-gtk library
Summary(pl.UTF-8):	Statyczna biblioteka libcanberra-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-gtk-devel = %{version}-%{release}

%description gtk-static
Static libcanberra-gtk library.

%description gtk-static -l pl.UTF-8
Statyczna biblioteka libcanberra-gtk.

%package -n vala-libcanberra-gtk
Summary:	libcanberra-gtk API for Vala language
Summary(pl.UTF-8):	API biblioteki libcanberra-gtk dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-gtk-devel-common = %{version}-%{release}
Requires:	vala-libcanberra = %{version}-%{release}

%description -n vala-libcanberra-gtk
libcanberra-gtk API for Vala language.

%description -n vala-libcanberra-gtk -l pl.UTF-8
API biblioteki libcanberra-gtk dla języka Vala.

%package gtk3
Summary:	GTK+ 3.x bindings for libcanberra library
Summary(pl.UTF-8):	Wiązania GTK+ 3.x do biblioteki libcanberra
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description gtk3
GTK+ 3.x bindings for libcanberra library.

%description gtk3 -l pl.UTF-8
Wiązania GTK+ 3.x do biblioteki libcanberra.

%package gtk3-devel
Summary:	Development files for libcanberra-gtk3 library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libcanberra-gtk3
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk-devel-common = %{version}-%{release}
Requires:	%{name}-gtk3 = %{version}-%{release}
Requires:	gtk+3-devel >= 3.0.0

%description gtk3-devel
Development files for libcanberra-gtk3 library.

%description gtk3-devel -l pl.UTF-8
Pliki programistyczne biblioteki libcanberra-gtk3.

%package gtk3-static
Summary:	Static libcanberra-gtk3 library
Summary(pl.UTF-8):	Statyczna biblioteka libcanberra-gtk3
Group:		X11/Development/Libraries
Requires:	%{name}-gtk3-devel = %{version}-%{release}

%description gtk3-static
Static libcanberra-gtk3 library.

%description gtk3-static -l pl.UTF-8
Statyczna biblioteka libcanberra-gtk3.

%package apidocs
Summary:	libcanberra API documentation
Summary(pl.UTF-8):	Dokumentacja API libcanberra
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libcanberra API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libcanberra.

%package gnome
Summary:	Files required to play login sound in GNOME
Summary(pl.UTF-8):	Pliki potrzebne do odtwarzania dźwięku logowania w GNOME
Group:		Applications
Requires(post,preun):	GConf2
Requires:	%{name}-gtk = %{version}-%{release}

%description gnome
Files required to play login sound in GNOME.

%description gnome -l pl.UTF-8
Pliki potrzebne do odtwarzania dźwięku logowania w GNOME.

%prep
%setup -q

%build
%{__gtkdocize} --docdir gtkdoc/
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install \
	--disable-silent-rules \
	--enable-alsa \
	--enable-gstreamer \
	--enable-null \
	--enable-oss \
	--enable-pulse \
	--enable-static \
	--enable-gtk-doc \
	%{__enable_disable gtk3} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{backenddir}/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_datadir}/doc/libcanberra/README
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%if %{with gtk3}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/modules/*.{a,la}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	gtk -p /sbin/ldconfig
%postun	gtk -p /sbin/ldconfig

%post	gtk3 -p /sbin/ldconfig
%postun	gtk3 -p /sbin/ldconfig

%post gnome
%gconf_schema_install libcanberra.schemas

%preun gnome
%gconf_schema_uninstall libcanberra.schemas

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/canberra-boot
%attr(755,root,root) %{_libdir}/libcanberra.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcanberra.so.0
%dir %{backenddir}
%attr(755,root,root) %{backenddir}/libcanberra-alsa.so
%attr(755,root,root) %{backenddir}/libcanberra-gstreamer.so
%attr(755,root,root) %{backenddir}/libcanberra-oss.so
%attr(755,root,root) %{backenddir}/libcanberra-pulse.so
%attr(755,root,root) %{backenddir}/libcanberra-null.so
%attr(755,root,root) %{backenddir}/libcanberra-multi.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcanberra.so
%{_includedir}/canberra.h
%{_pkgconfigdir}/libcanberra.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcanberra.a

%files -n vala-libcanberra
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libcanberra.vapi

%files gtk
%defattr(644,root,root,755)
%if %{without gtk3}
%attr(755,root,root) %{_bindir}/canberra-gtk-play
%endif
%attr(755,root,root) %{_libdir}/libcanberra-gtk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcanberra-gtk.so.0
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/libcanberra-gtk-module.so

%files gtk-devel-common
%defattr(644,root,root,755)
%{_includedir}/canberra-gtk.h

%files gtk-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcanberra-gtk.so
%{_pkgconfigdir}/libcanberra-gtk.pc

%files gtk-static
%defattr(644,root,root,755)
%{_libdir}/libcanberra-gtk.a

%files -n vala-libcanberra-gtk
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libcanberra-gtk.vapi

%if %{with gtk3}
%files gtk3
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/canberra-gtk-play
%attr(755,root,root) %{_libdir}/libcanberra-gtk3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcanberra-gtk3.so.0
%attr(755,root,root) %{_libdir}/gtk-3.0/modules/libcanberra-gtk-module.so
%attr(755,root,root) %{_libdir}/gtk-3.0/modules/libcanberra-gtk3-module.so

%files gtk3-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcanberra-gtk3.so
%{_pkgconfigdir}/libcanberra-gtk3.pc

%files gtk3-static
%defattr(644,root,root,755)
%{_libdir}/libcanberra-gtk3.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%files gnome
%defattr(644,root,root,755)
%{_sysconfdir}/gconf/schemas/libcanberra.schemas
%if %{with gnome2}
%{_datadir}/gdm/autostart/LoginWindow/libcanberra-ready-sound.desktop
%endif
%{_datadir}/gnome/autostart/libcanberra-login-sound.desktop
%attr(755,root,root) %{_datadir}/gnome/shutdown/libcanberra-logout-sound.sh
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/canberra-gtk-module.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcanberra.spec,v $
Revision 1.33  2012/06/02 10:58:37  arekm
- release 4

Revision 1.32  2011/10/14 16:03:47  wiget
- gnome2 bcond
- rel. 3

Revision 1.31  2011/10/14 15:53:22  wiget
- rel. 2

Revision 1.30  2011/10/14 15:28:12  qboosh
- more versioned install-time dependencies

Revision 1.29  2011/10/13 19:21:44  qboosh
- adjusted -devel* descriptions to reality
- separated vala bindings

Revision 1.28  2011/03/30 17:28:02  wiget
- up to 0.28

Revision 1.27  2011/02/26 11:55:56  patrys
- remove deprecated gtk_quit_add

Revision 1.26  2011/02/12 15:50:31  wiget
- enable gt
- kill libtool files
- rel.3

Revision 1.25  2010/11/06 10:38:17  wiget
- gtk+3 support (disabled by default)
- rel. 2

Revision 1.24  2010/10/21 12:09:58  caleb
- Up to 0.26

Revision 1.23  2010/05/30 17:24:48  megabajt
- updated to 0.24

Revision 1.22  2010/02/26 20:08:18  wiget
- 0.23

Revision 1.21  2010/01/30 19:40:07  sparky
- BR: docbook-dtd412-xml

Revision 1.20  2010/01/30 10:17:03  megabajt
- pass docdir to gtkdocize
- release 4

Revision 1.19  2010/01/30 10:08:58  megabajt
- %{__gtkdocize}

Revision 1.18  2010/01/14 13:50:15  hawk
- release 3

Revision 1.17  2009/11/30 01:23:42  sparky
- BR: GConf2-devel

Revision 1.16  2009/11/12 12:03:56  patrys
- rebuild
- rel 2

Revision 1.15  2009/10/23 22:05:21  megabajt
- updated to 0.22

Revision 1.14  2009/06/17 15:06:14  hawk
- release 2

Revision 1.13  2009/05/03 22:41:25  hawk
- updated to 0.12, make -j1 for install or it may randomly fail

Revision 1.12  2009/02/14 16:57:28  megabajt
- updated to 0.11
- removed libcanberra-xinit.sh since the gconf stuff is supported just fine
  in current gnome-settings-daemon

Revision 1.11  2008/11/07 18:54:52  megabajt
- release 3

Revision 1.10  2008/10/03 21:54:57  megabajt
- added gnome subpackage with files specific to GNOME
- release 2

Revision 1.9  2008/10/02 19:27:39  megabajt
- updated to 0.9

Revision 1.8  2008/08/28 21:08:03  patrys
- 0.8

Revision 1.7  2008/08/21 17:21:51  qboosh
- fixed Name/Summary(pl)
- -gtk-devel R: -devel

Revision 1.6  2008/08/21 11:22:04  megabajt
- added pl
- changed name of gtk2 subpackage to gtk
- created -static -gtk-devel -gtk-static subpackages
- revised deps

Revision 1.5  2008/08/19 23:15:41  patrys
- 0.7

Revision 1.4  2008/08/05 16:14:53  patrys
- make the module executable

Revision 1.3  2008/08/05 14:45:24  patrys
- 0.6
- proper startup script

Revision 1.2  2008/08/04 12:20:56  patrys
- fix R:

Revision 1.1  2008/08/04 12:18:39  patrys
- initial PLD release
